# fly.toml app configuration file generated for n8n-server-one on 2023-12-11T19:57:14-07:00
#
# See https://fly.io/docs/reference/configuration/ for information about how to use this file.
#

app = "n8n-server-one"
primary_region = "lax"
kill_signal = "SIGINT"
kill_timeout = "5s"

[build]
  dockerfile = "Dockerfile"
  [build.args]
    N8N_VERSION = "1.18.2"

[env]
  N8N_DIAGNOSTICS_ENABLED = "false"
  N8N_HIRING_BANNER_ENABLED = "false"
  N8N_HOST = "n8n-server-one.fly.dev"
  TINI_SUBREAPER = "true"
  WEBHOOK_URL = "https://n8n-server-one.fly.dev"

[http_service]
  internal_port = 5678
  force_https = true
  auto_stop_machines = true
  auto_start_machines = true
  min_machines_running = 0
  processes = ["app"]

[[services]]
  protocol = "tcp"
  internal_port = 5678
  processes = ["app"]

  [[services.ports]]
    port = 80
    handlers = ["http"]
    force_https = true

  [[services.ports]]
    port = 443
    handlers = ["tls", "http"]
  [services.concurrency]
    type = "connections"
    hard_limit = 25
    soft_limit = 20

  [[services.tcp_checks]]
    interval = "15s"
    timeout = "2s"
    grace_period = "1s"

[[vm]]
  cpu_kind = "shared"
  cpus = 1
  memory_mb = 1024
